# QDate Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QDate()
- void QDate(int y, int m, int d)

### Constructor Properties

- prototype: The QDate prototype object
- QDate currentDate()
- QDate fromJulianDay(int jd)
- QDate fromString(String s, DateFormat f)
- uint gregorianToJulian(int y, int m, int d)
- bool isLeapYear(int year)
- bool isValid(int y, int m, int d)
- String longDayName(int weekday)
- String longMonthName(int month)
- String shortDayName(int weekday)
- String shortMonthName(int month)
- DateFormat = 0
- StandaloneFormat
- MonthNameType( value )

### Prototype Object Properties

- QDate addDays(int days)
- QDate addMonths(int months)
- QDate addYears(int years)
- int day()
- int dayOfWeek()
- int dayOfYear()
- int daysInMonth()
- int daysInYear()
- int daysTo(QDate arg__1)
- void getDate(int year, int month, int day)
- bool isNull()
- bool isValid()
- int month()
- bool operator_equal(QDate other)
- bool operator_less(QDate other)
- void readFrom(QDataStream arg__1)
- bool setDate(int year, int month, int day)
- int toJulianDay()
- String toString(DateFormat f)
- int weekNumber(int yearNum)
- void writeTo(QDataStream arg__1)
- int year()

### Instance Properties

QDate objects have no special properties beyond those inherited from the QDate prototype object.